## org.mortbay.jetty.client
Class HttpExchange.ContentExchange

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.CachedExchange
              org.mortbay.jetty.client.ContentExchange
                  org.mortbay.jetty.client.HttpExchange.ContentExchange

Enclosing class:
  HttpExchange

Deprecated. use `ContentExchange`

    public static class HttpExchange.ContentExchange

extends ContentExchange

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Constructor Summary
`HttpExchange.ContentExchange()` Deprecated.

Method Summary

Methods inherited from class org.mortbay.jetty.client.ContentExchange
`getFileForUpload, getResponseContent, onResponseContent, onResponseHeader, onRetry, setFileForUpload`

Methods inherited from class org.mortbay.jetty.client.CachedExchange
`getResponseFields, getResponseStatus, onResponseStatus`

Methods inherited from class org.mortbay.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, cancel, configureListeners, getAddress, getEventListener, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRetryStatus, getScheme, getStatus, getURI, getVersion, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseHeaderComplete, reset, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRetryStatus, setScheme, setURI, setURL, setVersion, setVersion, toString, waitForDone, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpExchange.ContentExchange

    public HttpExchange.ContentExchange()

  Deprecated.

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.